Eclipse Platform Release 3.7

## org.eclipse.team.core.mapping.provider
Class MergeStatus

    java.lang.Object
      org.eclipse.core.runtime.Status
          org.eclipse.team.core.mapping.provider.MergeStatus

All Implemented Interfaces:
  IStatus, IMergeStatus

    public class MergeStatus

extends Status
implements IMergeStatus

A special status that is returned when the return code of the `merge` method is `CONFLICTS`. It is possible that there were problems that caused the auto-merge to fail. In that case, the implementor of `IResourceMappingMerger` can return a multi-status in which one of the children is a `MergeStatus` and the others describe other problems that were encountered.

Since:
  3.2
See Also:
  `IResourceMappingMerger`

Field Summary

Fields inherited from class org.eclipse.core.runtime.Status
`CANCEL_STATUS, OK_STATUS`

Fields inherited from interface org.eclipse.team.core.mapping.IMergeStatus
`CONFLICTS, INTERNAL_ERROR`

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`MergeStatus(String pluginId, String message, IFile[] files)` Create a merge status for reporting that some of the files for which a merge was attempted were not auto-mergable.
`MergeStatus(String pluginId, String message, ResourceMapping[] conflictingMappings)` Create a merge status for reporting that some of the resource mappings for which a merge was attempted were not auto-mergable.

Method Summary
`IFile[]` `getConflictingFiles()` Returns the set of file for which an auto-merge was not performed.
`ResourceMapping[]` `getConflictingMappings()` Returns the set of resource mappings for which an auto-merge was not performed.

Methods inherited from class org.eclipse.core.runtime.Status
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Constructor Detail

### MergeStatus

    public MergeStatus(String pluginId,
                       String message,
                       ResourceMapping[] conflictingMappings)

  Create a merge status for reporting that some of the resource mappings for which a merge was attempted were not auto-mergable.

  Parameters:
    `pluginId` - the plugin id
    `message` - the message for the status
    `conflictingMappings` - the mappings which were not auto-mergable

### MergeStatus

    public MergeStatus(String pluginId,
                       String message,
                       IFile[] files)

  Create a merge status for reporting that some of the files for which a merge was attempted were not auto-mergable.

  Parameters:
    `pluginId` - the plugin id
    `message` - the message for the status
    `files` - the files which were not auto-mergable

Method Detail

### getConflictingMappings

    public ResourceMapping[] getConflictingMappings()

  Description copied from interface: `IMergeStatus`
  Returns the set of resource mappings for which an auto-merge was not performed. If the code of the status is `CONFLICTS` the status may contain a set of mappings or files depending on what method returned the status.

  Specified by:
    `getConflictingMappings` in interface `IMergeStatus`
  Returns:
    the set of resource mappings for which an auto-merge was not performed.

### getConflictingFiles

    public IFile[] getConflictingFiles()

  Description copied from interface: `IMergeStatus`
  Returns the set of file for which an auto-merge was not performed. If the code of the status is `CONFLICTS` the status may contain a set of mappings or files depending on what method returned the status.

  Specified by:
    `getConflictingFiles` in interface `IMergeStatus`
  Returns:
    the set of files for which an auto-merge was not performed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.